SQL-инъекция в Drupal

Дата публикации:
06.12.2007
Всего просмотров:
6432
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal 4.x
Drupal 5.x
Уязвимые версии: Drupal версии до 4.7.9 и 5.4

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в функции "taxonomy_select_nodes()". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: drupal.org

Решение: Установите последнюю версию 4.7.9 или 5.4 с сайта производителя.

или введите имя

CAPTCHA